## genpower-1.0.5.tar.gz

=== Makefile ===
#
# Makefile for genpowerd
# $Id: Makefile,v 1.5 2004/01/18 04:12:26 bcwhite Exp $
#

NAME=		genpower-1.0.4
BINDIR=		/sbin
SCRIPTDIR=	/etc
CONFDIR=	/etc
MANDIR=		/usr/man/man8
OWNER=		root
GROUP=		root

CC= cc
CFLAGS=		-Wall -O2 -pipe
INSTALL=	install

# Linux:
#CFLAGS+=	-DNEWINIT

# FreeBSD
#CFLAGS+=	-DUPSSTAT=\"/var/run/upsstatus\" \
#		-DRC_POWERFAIL=\"/usr/local/etc/rc.powerfail\" \
#		-DGENPOWERD_CONF=\"/usr/local/etc/genpowerd.conf\"

all:		genpowerd gentest


genpowerd:	genpowerd.c genpowerd.h
		${CC} ${CFLAGS} genpowerd.c -o $@

gentest:	gentest.c
		${CC} ${CFLAGS} $@.c -o $@

genwrite:	genwrite.c
		${CC} ${CFLAGS} $@.c -o $@

clean:
		rm -f *.o *.bak genpowerd gentest genwrite

install:	binstall manstall

binstall:	genpowerd
		-test -x genpowerd && ${INSTALL} -m755 -o${OWNER} -g${GROUP} -s genpowerd ${BINDIR}
		-test -x genwrite  && ${INSTALL} -m755 -o${OWNER} -g${GROUP} -s genwrite  ${BINDIR}
		-test -x gentest   && ${INSTALL} -m755 -o${OWNER} -g${GROUP} -s gentest   ${BINDIR}
		${INSTALL} -m755 -o${OWNER} -g${GROUP} genpowerfail   ${SCRIPTDIR}
		${INSTALL} -m644 -o${OWNER} -g${GROUP} genpowerd.conf ${CONFDIR}

manstall:
		${INSTALL} -m644 -o${OWNER} -g${GROUP} genpowerd.8 ${MANDIR}

clobber:	clean
		cd ${BINDIR}; \
		rm -f genpowerd
		cd ${SCRIPTDIR}; \
		rm -f genpowerfail

oldclobber:
		cd ${BINDIR}; \
		rm -f unipowerd
		cd ${SCRIPTDIR}; \
		rm -f unipowerfail
		cd ${MANDIR}; \
		rm -f unipowerd.8

upgrade:	oldclobber install

=== FreeBSD/Makefile ===
# $Id: Makefile,v 1.1 2002/03/18 21:00:57 quinot Exp $

KMOD=	ups_powerdown
SRCS=	ups_powerdown.c

.include <bsd.kmod.mk>

=== debian/changelog ===
genpower (1.0.5-1) unstable; urgency=low 

  * Fixed problem with kill-inverter time being 1/100 of specified time (closes: #280731)

 -- Brian White <bcwhite@pobox.com>  Tue,  4 Jan 2005 17:18:24 -0500

  

genpower (1.0.4-1) unstable; urgency=low 

  * Corrected problem copying strings from config file (closes: #190206)
  * Now reads config file during startup (closes: #199267)
  * Minor source-code cleanup (closes: #190198)
  * Write messages to syslog (closes: #206096)

 -- Brian White <bcwhite@pobox.com>  Sat, 17 Jan 2004 23:09:35 -0500

  

genpower (1.0.3-1) unstable; urgency=low 

  * Finally got around to getting new source from sf.net (closes: #107511)

 -- Brian White <bcwhite@pobox.com>  Sun, 23 Feb 2003 13:27:20 -0500

  

genpower (1.0.1-14) unstable; urgency=low 

  * Added new APC-ES cable (closes: 107511)

 -- Brian White <bcwhite@pobox.com>  

  

genpower (1.0.1-13) unstable; urgency=low 

  * Fixed install syntax errors (closes: 82756)

 -- Brian White <bcwhite@pobox.com>  Thu, 18 Jan 2001 22:57:15 -0500

  

genpower (1.0.1-12) unstable; urgency=low 

  * Added "apc-23A" UPS cable description (closes: #67817)
  * Added "omron" UPS cable description (closes: #57314)
  * Added "gentest" manpage and other doc changes (closes: #46860)
  * Added "powerware 3115" cable description and other doc changes (closes: #78154)

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 21:14:56 -0500

genpower (1.0.1-11) unstable; urgency=low

  * Fixed start priority to be after kerneld (Bug#47505)
  * Create /etc/upsstatus in postinst (Bug#46818)
  * Added "gmbh-usv" UPS cable description
  * Added "trust-energy" UPS cable description

 -- Brian White <bcwhite@pobox.com>  Wed, 27 Oct 1999 16:21:31 -0400

genpower (1.0.1-10) unstable; urgency=low

  * Added "blackout-buster" UPS cable description
  * Fixed build to include "-DNEWINIT"

 -- Brian White <bcwhite@pobox.com>  Mon, 30 Aug 1999 10:57:26 -0400

genpower (1.0.1-9) unstable; urgency=low

  * Fixed syntax error for "now" shutdown times (Bug#35150,#39695)

 -- Brian White <bcwhite@pobox.com>  Fri, 27 Aug 1999 14:16:53 -0400

genpower (1.0.1-8) unstable; urgency=low

  * Now uses initreq (Bug#23007)
  * Added ioctl patch (Bug#24610)

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Oct 1998 12:04:14 -0400

genpower (1.0.1-7) unstable; urgency=low

  * Wrote new copyright file (Bug#17925)
  * Added "tripp-pnp" cable by Philippe Troin <phil@fifi.org> (Bug#18784)

 -- Brian White <bcwhite@pobox.com>  Wed, 11 Mar 1998 12:25:32 -0500

genpower (1.0.1-6) unstable; urgency=low

  * Added cable for TrippLite OminiSmart PNP 675
  * Added command to put UPS into dumb-signalling mode

 -- Brian White <bcwhite@pobox.com>  Tue, 13 Jan 1998 19:09:14 -0500

genpower (1.0.1-5) unstable; urgency=low

  * Fixed documentation bugs (bug#11973)
  * Compiled with libc6

 -- Brian White <bcwhite@pobox.com>  Mon, 15 Sep 1997 20:00:29 -0400

genpower (1.0.1-4) unstable; urgency=low

  * Added new APC Plug-n-Play cable from Chris Hansen!

 -- Brian White <bcwhite@pobox.com>  Sat, 31 May 1997 13:51:36 -0400

genpower (1.0.1-3) unstable; urgency=low

  * fixed location of man page (Bug#6581)

 -- Brian White <bcwhite@pobox.com>  Tue, 14 Jan 1997 12:41:41 -0500

genpower (1.0.1-2) unstable; urgency=low

  * improved install & remove scripts
  * improved genpowerd and powerfail init.d scripts
  * first public release of Debian package

 -- Brian White <bcwhite@pobox.com>  Fri,  8 Nov 1996 10:17:40 -0500

genpower (1.0.1-1) unstable; urgency=low

  * first Debian package
  * added advanced APC cable

 -- Brian White <bcwhite@pobox.com>  Thu, 17 Jul 1996 21:01:19 +0400


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: genpower
Section: admin
Priority: extra
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 3.1.1.1

Package: genpower
Architecture: any
Depends: sysvinit (>=2.84), ${shlibs:Depends}
Section: admin
Provides: ups-monitor
Conflicts: ups-monitor
Description: Monitor UPS and handle line power failures
 The express aim of the genpower package is to add additional functionally
 and a simpler means of configuring UPS monitoring, in a full featured
 suite that can be configured to work with most UPSs featuring an RS232
 monitoring port.
 .
 Depending on the UPS, cable, and the manner in which the genpower
 package is configured, the genpower package provides the following
 features:
 .
  * Line power sensing
  * Low battery detection
  * Physical cable detection
  * The ability to kill the UPS's inverter
 .
 The Debian package has an extra cable description called "apc-pnp"
 that should support all of the above for the APC Back-UPS Pro, Smart-UPS,
 and Matrix-UPS systems using the included Windows-95 Plug-and-Play cable!

=== debian/rules ===
#! /usr/bin/make -f
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian/rules dist'.
# Make sure that `debian/rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig.
#


package	:= genpower
debdir  := debian/tmp


build:
# Builds the binary package.
	make CFLAGS='-O2 -g -fomit-frame-pointer -DNEWINIT' all
	touch stamp-build

clean:
# Undoes the effect of `debian/rules build'.
	rm -f stamp-build
	rm -rf ${debdir} debian/files debian/substvars
	find . \( -name "*~" -o -name "#*" \) -exec rm -f {} \;
	$(MAKE) clean


# Makes a binary package.
binary-indep:
	@echo "No architecture-independant packages"

binary-arch:
	test -f stamp-build || make -f debian/rules build
	rm -rf ${debdir}
	:
	mkdir -p ${debdir}/DEBIAN ${debdir}/usr/share/doc/$(package)
	mkdir -p ${debdir}/sbin ${debdir}/usr/sbin ${debdir}/etc/init.d ${debdir}/usr/share/man/man8
	:
	$(MAKE) install BINDIR=${debdir}/sbin SCRIPTDIR=${debdir}/etc MANDIR=${debdir}/usr/share/man/man8 CONFDIR=${debdir}/etc
	:
	rm -f ${debdir}/etc/genpowerfail
	sed -e '/RCPOWERFAIL/d;s/UPSTYPE=.*/UPSTYPE=apc-pnp/' <genpowerd.conf >${debdir}/etc/genpowerd.conf
	install -m 755 debian/genpower.rc  ${debdir}/etc/init.d/genpower
	install -m 755 debian/powerfail.rc ${debdir}/etc/init.d/powerfail
	cd ${debdir}/etc/init.d; ln -s genpower ups-monitor
	strip ${debdir}/sbin/* # ${debdir}/usr/sbin/*
	cp gentest.8 ${debdir}/usr/share/man/man8/
	cd ${debdir}/usr/share/man && gzip -9v */*;
	cd ${debdir}/usr/share/man/man8; ln -s genpowerd.8.gz genpower.8.gz
	:
	cp Change.Log					${debdir}/usr/share/doc/$(package)/changelog
	cp debian/changelog				${debdir}/usr/share/doc/$(package)/changelog.Debian
	cp README						${debdir}/usr/share/doc/$(package)/README
	cp genpower.docs				${debdir}/usr/share/doc/$(package)/
	cp -a cables					${debdir}/usr/share/doc/$(package)/
	find ${debdir}/ -name CVS | xargs -r rm -rf
	find ${debdir}/usr/share/doc/$(package) -type f | xargs -r gzip -9v
	cp debian/copyright				${debdir}/usr/share/doc/$(package)
#	cd ${debdir}/usr/share/doc/$(package) && ln -sf ../copyright/GPL copyright
	:
	install -m 644 debian/conffiles	${debdir}/DEBIAN
	install -m 755 debian/postinst	${debdir}/DEBIAN
	install -m 755 debian/prerm		${debdir}/DEBIAN
	install -m 755 debian/postrm	${debdir}/DEBIAN
	:
	dpkg-shlibdeps ${debdir}/sbin/* # ${debdir}/usr/sbin/*
	dpkg-gencontrol -is -ip
	chown -R root.root	${debdir}
	chmod -R go=rX		${debdir}
	dpkg --build		${debdir}
	dpkg-name -o -s ..	${debdir}.deb

binary: binary-indep binary-arch
	@echo "Binaries made"
